/* layers.js javascript*/

    // map location and size:
  	var lon = 13.0;
  	var lat = 45.5;
    var zoom = 9;

    // define your own layers:
		var layer1;
		var layer2;
		// var layer3; // etc.

function createLayers(map) 
{
    var nameLayer1 = "Italien: m&ouml;gliche AKW-Standorte";
    layer1 = new OpenLayers.Layer.Markers(nameLayer1, { visibility: true });
    map.addLayer(layer1);
    
    var nameLayer2 = "Slowenien: AKW-Standort";
    layer2 = new OpenLayers.Layer.Markers(nameLayer2, { visibility: true });
	  map.addLayer(layer2);
}

function createMarkers(map) 
{
	  //define one or more icons:
    var icon1 = 'userdat/icon-example1.png';
    var icon2 = 'userdat/icon-example2.png';
    var size = 24;           // icon-size
    var offset = 24;         // icon-offset

    // add markers:
    var lon1 = 12.2600;
    var lat1 = 45.1800;
    var boxTextHtml1 = 'Chioggia<br /><img src="userdat/icon-example1.png" width="24" height="24" alt="AKW" />';
		addMarker(map, layer1, icon1, size, offset, lon1, lat1, boxTextHtml1);
		
    var lon2 = 13.000;
    var lat2 = 46.000;
    var boxTextHtml2 = 'Spilimbergo / Latisana<br /><img src="userdat/icon-example1.png" width="24" height="24" alt="AKW" />';
		addMarker(map, layer1, icon1, size, offset, lon2, lat2, boxTextHtml2);
		
    var lon3 = 13.57;
    var lat3 = 45.78;
    var boxTextHtml3 = 'Monfalcone<br /><img src="userdat/icon-example1.png" width="24" height="24" alt="AKW" />';
		addMarker(map, layer1, icon1, size, offset, lon3, lat3, boxTextHtml3);
		
    var lon4 = 15.513;
    var lat4 = 45.938;
    var boxTextHtml4 = 'Kr&scaron;ko - in Betrieb<br /><img src="userdat/Krsko-wikipedia.jpg" width="200" height="142" alt="AKW" /><br />Wikipedia:<br /><a href ="http://de.wikipedia.org/wiki/Kernkraftwerk_Kr%C5%A1ko" target="_blank">Kernkraftwerk / Nuklearna elektrarna / Centrale nucleare di Kr&scaron;ko</a>';
		addMarker(map, layer2, icon2, size, offset, lon4, lat4, boxTextHtml4);
}
